Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1419547 - Review Request: xcrysden - a crystalline and molecular structure render program,
Summary: Review Request: xcrysden - a crystalline and molecular structure render prog...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2017-02-06 13:22 UTC by RudraB
Modified: 2018-12-20 19:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-20 19:48:37 UTC


Attachments (Terms of Use)

Description RudraB 2017-02-06 13:22:13 UTC
Hi,

I am submitting xcrysden package for review.

NB. It is working, but it is not of fedora standard, as it has hardcoded library path, so, it has not passed the lint. 

I am just putting it here, because, this is easier than doing it via #fedora-devel irc.

The srpm and spec is at:  https://www.dropbox.com/sh/hyc7t6u0dvslyo1/AAAx5t2xmesXy6xW6-m67rjxa?dl=0

Comment 1 RudraB 2017-02-06 13:41:04 UTC
I am just updating it as per default template.
Spec URL: https://www.dropbox.com/s/proxwhhwfj2lmho/xcrysden.spec?dl=0
SRPM URL: https://www.dropbox.com/s/sgphxa2inwarlqp/xcrysden-1.5.60-1.fc25.src.rpm?dl=0

Description: In short: XCrySDen is a crystalline and molecular structure render program, with additional capabilities of rendering contours, isosurfaces, Wigner-Seitz cells (also Brillouin zone), Fermi surfaces and so on. Some of its features are the following:
1) widget with periodic table of elements.
2)displaying molecular and crystalline structure in several different display modes
3) displaying crystal and Wigner-Seitz cells

etc.

Fedora Account System Username: baptu

Comment 2 Antonio Trande 2017-02-22 11:43:32 UTC
You're not a packager yet. True?

Please, use direct links to the SPEC and SRPM files.

- GPL is  not a valid license.
http://fedoraproject.org/wiki/Licensing:Main
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines

- Probably, Make does not use default optimization flags.
http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

- libdir is not set correctly.

- Use macros as much as possible
http://fedoraproject.org/wiki/Packaging:Guidelines#Macros
http://fedoraproject.org/wiki/Packaging:RPMMacros

- Empty %changelog?
http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs


Note You need to log in before you can comment on or make changes to this bug.